












.mobile-menu {
    position: fixed;
    top: 0;
    left: -100%;
    width: 50%;
    max-width: 380px;
    height: 100vh;
    background: #fff;
    transition: .35s ease;
    z-index: 2000;
    display: flex;
    flex-direction: column;
    box-shadow: 5px 0 25px rgba(0,0,0,.18);
}


    .mobile-menu.active {
        left: 0;
    }


.overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.45);
    opacity: 0;
    visibility: hidden;
    transition: .3s;
    z-index: 1999;
}

    .overlay.active {
        opacity: 1;
        visibility: visible;
    }

.menu-btn {
    font-size: 30px;
}


.menu-header {
    padding: 25px;
    border-bottom: 1px solid #eee;
}

    .menu-header img {
        width: 170px;
    }


.mobile-menu ul {
    list-style: none;
    padding: 30px;
    flex: 1;
}

.mobile-menu li {
    margin-bottom: 28px;
}

.mobile-menu a {
    font-size: 22px;
    color: #222;
    font-weight: 600;
    text-decoration: none;
}

.menu-footer {
    border-top: 1px solid #eee;
    padding: 25px;
    text-align: center;
}

.menu-btn {
    width: 54px;
    height: 54px;
    border: none;
    border-radius: 50%;
    background: linear-gradient(135deg,#2563EB,#3B82F6);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all .35s ease;
    box-shadow: 0 10px 25px rgba(37,99,235,.35);
}

    .menu-btn i {
        color: #fff;
        font-size: 24px;
        transition: .3s;
    }

    .menu-btn:hover {
        transform: translateY(-3px) scale(1.05);
        box-shadow: 0 15px 35px rgba(37,99,235,.45);
    }

        .menu-btn:hover i {
           /* transform: rotate(90deg);*/
        }


.menu-btn {
    margin-left: auto;
}


.menu-header {
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    border-bottom: 1px solid #eee;
}



/* ===========================================================
   CUSTOM MOBILE MENU
   =========================================================== */

/* ---------- Desktop ---------- */
@media (min-width: 992px) {

    /* Hide hamburger */
    .menu-btn {
        display: none !important;
    }

    /* Show desktop navigation */
    #navbarNav {
        display: flex !important;
    }

    .navbar-nav {
        margin-left: auto;
    }
}


/* ---------- Mobile ---------- */
@media (max-width: 991px) {
    .header-contact {
        display: none;
    }

    .navbar-brand {
        display: none;
    }
    /* Hide Bootstrap navigation */
    #navbarNav {
        display: none !important;
    }

    /* Show custom hamburger */
    .menu-btn {
        display: flex !important;
        position: absolute;
        right: 20px;
        top: 20%;
        
    }

   
}
